package cs

import (
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/requests"
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/responses"
)

/**
 * 客服工单，相关方法
 */

type UploadRequest struct {
	*requests.StreamRequest
	FileStream []byte
}

type UploadResponse struct {
	*responses.BaseResponse
	Code int    `json:"code"`
	Msg  string `json:"msg"`
	Data struct {
		FileName string `json:"file_name"`
		FileUrl  string `json:"file_url"`
		FilePath string `json:"file_path"`
	}
	TraceId string `json:"trace_id"`
}

func CreateUploadRequest() (req *UploadRequest) {
	req = &UploadRequest{
		StreamRequest: &requests.StreamRequest{},
	}

	req.InitWithApiInfo(HOST, VERSION, "/v1/work_order/upload_image")
	req.Method = requests.POST
	return
}

func CreateUploadResponse() (resp *UploadResponse) {
	return &UploadResponse{
		BaseResponse: &responses.BaseResponse{},
	}
}
